If classes in c++ didn't include constructer , then compiler constructs a default constucter  without any arguments. The default constructors constructed by the compiler create objects without giving initial values to the object's private data members.
